# Использование GitHub Actions

Этот репозиторий автоматически собирает и публикует Docker-образы в [Docker Hub](https://hub.docker.com/r/dunglas/frankenphp) для каждого одобренного pull request или вашего собственного форка после настройки.

## Настройка GitHub Actions

В настройках репозитория, в разделе "Secrets", добавьте следующие секреты:

- `REGISTRY_LOGIN_SERVER`: Docker-реестр, который будет использоваться (например, `docker.io`).
- `REGISTRY_USERNAME`: Имя пользователя для входа в реестр (например, `dunglas`).
- `REGISTRY_PASSWORD`: Пароль для входа в реестр (например, токен доступа).
- `IMAGE_NAME`: Имя образа (например, `dunglas/frankenphp`).

## Сборка и загрузка образа

1. Создайте Pull Request или выполните push в ваш форк.
2. GitHub Actions соберёт образ и выполнит тесты.
3. Если сборка пройдёт успешно, образ будет отправлен в реестр с тегом `pr-x`, где `x` — номер PR.

## Развёртывание образа

1. После слияния Pull Request GitHub Actions выполнит повторные тесты и соберёт новый образ.
2. Если сборка пройдёт успешно, тег `main` будет обновлён в Docker-реестре.

## Релизы

1. Создайте новый тег в репозитории.
2. GitHub Actions соберёт образ и выполнит тесты.
3. Если сборка пройдёт успешно, образ будет отправлен в реестр с именем тега (например, `v1.2.3` и `v1.2` будут созданы).
4. Также будет обновлён тег `latest`.
